SDL_GetJoystickGUIDInfo(3)

NAME
SDL_GetJoystickGUIDInfo - Get the device information encoded in a SDL_JoystickGUID
 structure.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_GetJoystickGUIDInfo(SDL_JoystickGUID guid, Uint16 *vendor, Uint16 *product, Uint16 *version, Uint16 *crc16);

FUNCTION PARAMETERS

guid
    the SDL_JoystickGUID
     you wish to get info about

vendor
    A pointer filled in with the device VID, or 0 if not available

product
    A pointer filled in with the device PID, or 0 if not available

version
    A pointer filled in with the device version, or 0 if not available

crc16
    A pointer filled in with a CRC used to distinguish different products with the same VID/PID, or 0 if not available

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetJoystickInstanceGUID(3)